// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "GameFramework/Actor.h"
#include "VisionLinkEnemyLOSTest.generated.h"

UCLASS()
class ENDLESSVENDETTA_API AVisionLinkEnemyLOSTest : public AActor
{
	GENERATED_BODY()


protected:
	// Called when the game starts or when spawned
	virtual void BeginPlay() override;

public:
	UPROPERTY(EditDefaultsOnly, Category = "Vision Link")
	FVector SpawnOffset = FVector(0, 0, 0 );
	
	// Sets default values for this actor's properties
	AVisionLinkEnemyLOSTest();

	// Called every frame
	virtual void Tick(float DeltaTime) override;

	void TestLOS(TArray<FString> EnemiesInLink, AActor* LOS_Actor);
};
